cURL
curl --request PUT \
--url https://api.axiom.co/v2/datasets/{dataset_id}/mapfields \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
"field1",
"field2"
]
'import requests
url = "https://api.axiom.co/v2/datasets/{dataset_id}/mapfields"
payload = ["field1", "field2"]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify(['field1', 'field2'])
};
fetch('https://api.axiom.co/v2/datasets/{dataset_id}/mapfields', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
"field1",
"field2"
]Update list of map fields
PUT
/
datasets
/
{dataset_id}
/
mapfields
cURL
In the body of the API request that you send to this endpoint, specify a list of field names:
- Fields you haven’t previously defined as map fields but include in the list become map fields.
- Fields you have previously defined as map fields and include in the list remain map fields.
- Fields you have previously defined as map fields but exclude from the list are removed.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Body
application/json
A list of MapField-names
Example:
["field1", "field2"]
Response
200 - application/json
A list of map field names
Example:
["field1", "field2"]
Was this page helpful?
⌘I